Story 16 endpoints

GET /api/v3/stories/{story-public-id}/comments

Lists Comments associated with a Story

operationId: Story_listComments

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/stories/{story-public-id}/comments
POST /api/v3/stories/{story-public-id}/comments

Create Comment allows you to create a Comment on any Story.

operationId: Story_createComment

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

Request Body

required
application/json
schema CreateStoryComment
Property Type Required
text string required
author_id string optional
parent_id integer optional
created_at string optional
updated_at string optional
external_id string optional

Responses

201

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

POST /api/v3/stories/{story-public-id}/comments
DELETE /api/v3/stories/{story-public-id}/comments/{comment-public-id}

Delete a Comment from any story.

operationId: Story_deleteComment

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

comment-public-id path required integer

The ID of the Comment.

Responses

204

No Content

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

DELETE /api/v3/stories/{story-public-id}/comments/{comment-public-id}
GET /api/v3/stories/{story-public-id}/comments/{comment-public-id}

Get Comment is used to get Comment information.

operationId: Story_getComment

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

comment-public-id path required integer

The ID of the Comment.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/stories/{story-public-id}/comments/{comment-public-id}
PUT /api/v3/stories/{story-public-id}/comments/{comment-public-id}

Update Comment replaces the text of the existing Comment.

operationId: Story_updateCommentText

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

comment-public-id path required integer

The ID of the Comment

Request Body

required
application/json
schema UpdateStoryComment
Property Type Required
text string required

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

PUT /api/v3/stories/{story-public-id}/comments/{comment-public-id}
DELETE /api/v3/stories/{story-public-id}/comments/{comment-public-id}/reactions

Delete a reaction from any story comment.

operationId: Story_deleteReaction

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

comment-public-id path required integer

The ID of the Comment.

Request Body

application/json
schema CreateOrDeleteStoryReaction
Property Type Required
emoji string required

Responses

204

No Content

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

DELETE /api/v3/stories/{story-public-id}/comments/{comment-public-id}/reactions
POST /api/v3/stories/{story-public-id}/comments/{comment-public-id}/reactions

Create a reaction to a story comment.

operationId: Story_addReaction

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Comment is in.

comment-public-id path required integer

The ID of the Comment.

Request Body

application/json
schema CreateOrDeleteStoryReaction
Property Type Required
emoji string required

Responses

201

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

POST /api/v3/stories/{story-public-id}/comments/{comment-public-id}/reactions
GET /api/v3/stories/{story-public-id}/history
operationId: Story_getHistory

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/stories/{story-public-id}/history
POST /api/v3/stories/{story-public-id}/tasks

Create Task is used to create a new task in a Story.

operationId: Story_createNewTask

Parameters

Name In Required Type Description
story-public-id path required integer

The ID of the Story that the Task will be in.

Request Body

required
application/json
schema CreateTask
Property Type Required
complete boolean optional
owner_ids array optional
created_at string optional
updated_at string optional
description string required
external_id string optional

Responses

201

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

POST /api/v3/stories/{story-public-id}/tasks
DELETE /api/v3/stories/{story-public-id}/tasks/{task-public-id}

Delete Task can be used to delete any previously created Task on a Story.

operationId: Story_removeTask

Parameters

Name In Required Type Description
story-public-id path required integer

The unique ID of the Story this Task is associated with.

task-public-id path required integer

The unique ID of the Task.

Responses

204

No Content

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

DELETE /api/v3/stories/{story-public-id}/tasks/{task-public-id}
GET /api/v3/stories/{story-public-id}/tasks/{task-public-id}

Returns information about a chosen Task.

operationId: Story_getTaskInformation

Parameters

Name In Required Type Description
story-public-id path required integer

The unique ID of the Story this Task is associated with.

task-public-id path required integer

The unique ID of the Task.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/stories/{story-public-id}/tasks/{task-public-id}
PUT /api/v3/stories/{story-public-id}/tasks/{task-public-id}

Update Task can be used to update Task properties.

operationId: Story_updateTask

Parameters

Name In Required Type Description
story-public-id path required integer

The unique identifier of the parent Story.

task-public-id path required integer

The unique identifier of the Task you wish to update.

Request Body

required
application/json
schema UpdateTask
Property Type Required
after_id integer optional
complete boolean optional
before_id integer optional
owner_ids array optional
description string optional

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

PUT /api/v3/stories/{story-public-id}/tasks/{task-public-id}
POST /api/v3/story-links

Story Links (called Story Relationships in the UI) allow you create semantic relationships between two stories. The parameters read like an active voice grammatical sentence: subject -> verb -> object.

The subject story acts on the object Story; the object story is the direct object of the sentence.

The subject story “blocks”, “duplicates”, or “relates to” the object story. Examples:

  • “story 5 blocks story 6” – story 6 is now “blocked” until story 5 is moved to a Done workflow state.
  • “story 2 duplicates story 1” – Story 2 represents the same body of work as Story 1 (and should probably be archived).
  • “story 7 relates to story 3”
operationId: Story_createLink

Request Body

required
application/json
schema CreateStoryLink
Property Type Required
verb string required
object_id integer required
subject_id integer required

Responses

201

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

POST /api/v3/story-links
DELETE /api/v3/story-links/{story-link-public-id}

Removes the relationship between the stories for the given Story Link.

operationId: Story_unlinkRelationship

Parameters

Name In Required Type Description
story-link-public-id path required integer

The unique ID of the Story Link.

Responses

204

No Content

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

DELETE /api/v3/story-links/{story-link-public-id}
GET /api/v3/story-links/{story-link-public-id}

Returns the stories and their relationship for the given Story Link.

operationId: Story_getRelationship

Parameters

Name In Required Type Description
story-link-public-id path required integer

The unique ID of the Story Link.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/story-links/{story-link-public-id}
PUT /api/v3/story-links/{story-link-public-id}

Updates the stories and/or the relationship for the given Story Link.

operationId: Story_updateLinkRelationship

Parameters

Name In Required Type Description
story-link-public-id path required integer

The unique ID of the Story Link.

Request Body

required
application/json
schema UpdateStoryLink
Property Type Required
verb string optional
object_id integer optional
subject_id integer optional

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

PUT /api/v3/story-links/{story-link-public-id}

Template 5 endpoints

GET /api/v3/entity-templates

List all the entity templates for the Workspace.

operationId: Template_listEntityTemplates

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/entity-templates
POST /api/v3/entity-templates

Create a new entity template for the Workspace.

operationId: Template_createNewEntity

Request Body

required

Request paramaters for creating an entirely new entity template.

application/json
schema CreateEntityTemplate
Property Type Required
name string required
author_id string optional
story_contents object required
name string optional
tasks array optional
complete boolean optional
owner_ids array optional
description string required
external_id string optional
labels array optional
name string required
color string optional
description string optional
external_id string optional
epic_id integer optional
deadline string optional
estimate integer optional
file_ids array optional
group_id string optional
owner_ids array optional
project_id integer optional
story_type string optional
description string optional
follower_ids array optional
iteration_id integer optional
custom_fields array optional
value string optional
field_id string required
value_id string required
external_links array optional
linked_file_ids array optional
workflow_state_id integer optional

Responses

201

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

POST /api/v3/entity-templates
DELETE /api/v3/entity-templates/{entity-template-public-id}
operationId: Template_deleteEntityTemplate

Parameters

Name In Required Type Description
entity-template-public-id path required string

The unique ID of the entity template.

Responses

204

No Content

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

DELETE /api/v3/entity-templates/{entity-template-public-id}
GET /api/v3/entity-templates/{entity-template-public-id}

Get Entity Template returns information about a given entity template.

operationId: Template_getInformation

Parameters

Name In Required Type Description
entity-template-public-id path required string

The unique ID of the entity template.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/entity-templates/{entity-template-public-id}
PUT /api/v3/entity-templates/{entity-template-public-id}

Update an entity template’s name or its contents.

operationId: Template_updateContents

Parameters

Name In Required Type Description
entity-template-public-id path required string

The unique ID of the template to be updated.

Request Body

required

Request parameters for changing either a template’s name or any of
the attributes it is designed to pre-populate.

application/json
schema UpdateEntityTemplate
Property Type Required
name string optional
story_contents object optional
name string optional
tasks array optional
complete boolean optional
owner_ids array optional
description string required
external_id string optional
labels array optional
name string required
color string optional
description string optional
external_id string optional
epic_id integer optional
deadline string optional
estimate integer optional
file_ids array optional
group_id string optional
owner_ids array optional
project_id integer optional
story_type string optional
description string optional
follower_ids array optional
iteration_id integer optional
custom_fields array optional
value string optional
field_id string required
value_id string required
external_links array optional
linked_file_ids array optional
workflow_state_id integer optional

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

PUT /api/v3/entity-templates/{entity-template-public-id}

Workflow 2 endpoints

GET /api/v3/workflows

Returns a list of all Workflows in the Workspace.

operationId: Workflow_listAll

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/workflows
GET /api/v3/workflows/{workflow-public-id}

Get Workflow returns information about a chosen Workflow.

operationId: Workflow_getInformation

Parameters

Name In Required Type Description
workflow-public-id path required integer

The ID of the Workflow.

Responses

200

Resource

400

Schema mismatch

404

Resource does not exist

422

Unprocessable

GET /api/v3/workflows/{workflow-public-id}